﻿//+--------------------------------------------------------------------------+
//|                                                                          |
//|                           MsgBoxError dialog                             |
//|                                                                          |
//+--------------------------------------------------------------------------+
//|                                                                          |
//|                         Author Patrice TERRIER                           |
//|                           copyright (c) 2006                             |
//|                                                                          |
//|                        pterrier@zapsolution.com                          |
//|                                                                          |
//|                          www.zapsolution.com                             |
//|                                                                          |
//+--------------------------------------------------------------------------+
//|                  Project started on : 12-08-2006 (MM-DD-YYYY)            |
//|                        Last revised : 12-08-2006 (MM-DD-YYYY)            |
//+--------------------------------------------------------------------------+

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Bff;

namespace zExplorer
{
    public partial class MsgBoxError : Form
    {
        static public string MsgTitle, MsgText;

        public MsgBoxError(string TheTitle, string TheMessage)
        {
            MsgTitle = TheTitle;
            MsgText = TheMessage;

            InitializeComponent();
        }

        private void MSGBOX_Load(object sender, EventArgs e)
        {
            this.Text = MsgTitle;
            LIB_Info.Text = MsgText;
            BTN_Ok.Text = BF.BTN_Ok(); BTN_Ok.DialogResult = DialogResult.OK;
        }

        private void BTN_Ok_Click(object sender, EventArgs e)
        {
            Close();
        }

    }
}