﻿//+--------------------------------------------------------------------------+
//|                                                                          |
//|                           MsgBoxYesNo dialog                             |
//|                                                                          |
//+--------------------------------------------------------------------------+
//|                                                                          |
//|                         Author Patrice TERRIER                           |
//|                           copyright (c) 2006                             |
//|                                                                          |
//|                        pterrier@zapsolution.com                          |
//|                                                                          |
//|                          www.zapsolution.com                             |
//|                                                                          |
//+--------------------------------------------------------------------------+
//|                  Project started on : 11-20-2006 (MM-DD-YYYY)            |
//|                        Last revised : 12-03-2006 (MM-DD-YYYY)            |
//+--------------------------------------------------------------------------+

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Bff;

namespace zExplorer
{
    public partial class MsgBoxYesNo : Form
    {
        static public string MsgTitle, MsgText;

        public MsgBoxYesNo(string TheTitle, string TheMessage)
        {
            MsgTitle = TheTitle;
            MsgText = TheMessage;

            InitializeComponent();
        }

        private void MSGBOX_Load(object sender, EventArgs e)
        {
            this.Text = MsgTitle;
            LIB_Info.Text = MsgText;
            BTN_No.Text = BF.BTN_No(); BTN_No.DialogResult = DialogResult.No;
            BTN_Yes.Text = BF.BTN_Yes(); BTN_Yes.DialogResult = DialogResult.Yes;
        }

        private void BTN_Yes_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void BTN_No_Click(object sender, EventArgs e)
        {
            Close();
        }

    }
}