﻿//+--------------------------------------------------------------------------+
//|                                                                          |
//|                               zExplorer                                  |
//|                          File Browser utility                                                                         |
//|                                                                          |
//+--------------------------------------------------------------------------+
//|                                                                          |
//|                         Author Patrice TERRIER                           |
//|                           copyright (c) 2006                             |
//|                                                                          |
//|                        pterrier@zapsolution.com                          |
//|                                                                          |
//|                          www.zapsolution.com                             |
//|                                                                          |
//+--------------------------------------------------------------------------+
//|                  Project started on : 11-20-2006 (MM-DD-YYYY)            |
//|                        Last revised : 12-03-2006 (MM-DD-YYYY)            |
//+--------------------------------------------------------------------------+

using System;
using System.Collections.Generic;
using System.Windows.Forms;

using Bff;

namespace zExplorer
{
    static class Program
    {
        /// <summary>
        /// Main section.
        /// </summary>
        [STAThread]
        static void Main()
        {
            if (BF.RegisterBFFClass())
            {// Ok ZBFF is available.
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new MAIN_Form());
            }
            else
            {
                MessageBox.Show("zExplorer is unable to register zBff", "Initialization Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}